Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.weld
Class WeldAnnotationBuilder

    java.lang.Object
      org.jbehave.core.configuration.AnnotationBuilder
          org.jbehave.core.configuration.weld.WeldAnnotationBuilder

    public class WeldAnnotationBuilder

extends AnnotationBuilder

Extends `AnnotationBuilder` to provide Weld-based dependency injection if `UsingWeld` annotation is present.

Author:
  Aaron Walker

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.configuration.AnnotationBuilder
`AnnotationBuilder.InstantiationFailed`

Constructor Summary
`WeldAnnotationBuilder(Class<?> annotatedClass)`
`WeldAnnotationBuilder(Class<?> annotatedClass, AnnotationMonitor annotationMonitor)`
`WeldAnnotationBuilder(Class<?> annotatedClass, Configuration configuration, InjectableStepsFactory stepsFactory)`

Method Summary
`Configuration` | `buildConfiguration()`
`InjectableStepsFactory` | `buildStepsFactory(Configuration configuration)`
`protected ParameterConverters` | `parameterConverters(AnnotationFinder annotationFinder)`

Methods inherited from class org.jbehave.core.configuration.AnnotationBuilder
`annotatedClass, annotationFinder, annotationMonitor, buildCandidateSteps, buildCandidateSteps, buildEmbedder, embeddableInstance, findPaths, injectEmbedder, instanceOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeldAnnotationBuilder

    public WeldAnnotationBuilder(Class<?> annotatedClass)

### WeldAnnotationBuilder

    public WeldAnnotationBuilder(Class<?> annotatedClass,
                                 AnnotationMonitor annotationMonitor)

### WeldAnnotationBuilder

    public WeldAnnotationBuilder(Class<?> annotatedClass,
                                 Configuration configuration,
                                 InjectableStepsFactory stepsFactory)

Method Detail

### buildConfiguration

    public Configuration buildConfiguration()
                                     throws AnnotationRequired

  Overrides:
    `buildConfiguration` in class `AnnotationBuilder`
  Throws:
    `AnnotationRequired`

### buildStepsFactory

    public InjectableStepsFactory buildStepsFactory(Configuration configuration)

  Overrides:
    `buildStepsFactory` in class `AnnotationBuilder`

### parameterConverters

    protected ParameterConverters parameterConverters(AnnotationFinder annotationFinder)

  Overrides:
    `parameterConverters` in class `AnnotationBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.